# classes/phing/system/io/InputStreamReader.php

## \InputStreamReader
jump to top

Writer class for OutputStream objects.

Unlike the Java counterpart, this class does not (yet) handle character set transformations. This will be an important function of this class with move to supporting PHP6.

Extends from
  \Reader
author
  Hans Lellelid
author
  Yannick Lecaillez
package
  phing.system.io
version
  $Revision: 552 $

### Properties

`\InputStream $inStream= ''`

Details

Type
  \InputStream

### Methods

`__construct( $inStream ) :`
Construct a new InputStreamReader.
Parameters

Name | Type | Description
--- | --- | ---
$inStream |  |

`close( ) :`
Close the stream.
`eof( ) : boolean`
Whether eof has been reached with stream.
Returns

Type | Description
--- | ---
boolean |

`getResource( ) : string`
Returns string representation of attached stream.
Returns

Type | Description
--- | ---
string |

`mark( ) :`
Marks the current position in this input stream.
Details

throws
  - if the underlying stream doesn't support this method.

`markSupported( ) : boolean`
Whether the attached stream supports mark/reset.
Returns

Type | Description
--- | ---
boolean |

`read( int $len = null ) : string`
Read data from file.
Parameters

Name | Type | Description
--- | --- | ---
$len | int | Num chars to read.

Returns

Type | Description
--- | ---
string |

`readInto( $rBuffer ) : TRUE`
Reads a entire file and stores the data in the variable passed by reference.
Parameters

Name | Type | Description
--- | --- | ---
$rBuffer |  |

Returns

Type | Description
--- | ---
TRUE |

Details

author
  Charlie Killian, charlie@tizac.com
deprecated
  Use read() or BufferedReader instead.

`reset( ) :`
Repositions this stream to the position at the time the mark method was last called on this input stream.
Details

throws
  - if the underlying stream doesn't support this method.

`skip( int $n ) :`
Skip over $n bytes.
Parameters

Name | Type | Description
--- | --- | ---
$n | int |

Documentation was generated by DocBlox 0.13.1.